#2897 closed enhancement (fixed)

Update termios.h to match the latest FREEBSD definitions

Reported by: Kevin Kirspel Owned by: Needs Funding
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The FREEBSD struct termios separates out the input and output baud rates into individual speed_t variables. It also supports more flag options. The big benefit is that the rtems-libbsd tty code can be ported cleanly without the need to fixup the input and output baud rates. This should be a transparent change unless someone was manipulating the baud rates directly through the c_cflags (not using the cfgetispeed, cfgetospeed, cfsetispeed, cfsetospeed functions).

Attachments (8)

0001-remove-files-that-are-no-longer-needed-in-libnetwork.patch (6.3 KB) - added by Kevin Kirspel on 02/01/17 at 21:28:10.
0002-Updating-termios-headers-to-latest-FREEBSD-verion.patch (54.2 KB) - added by Kevin Kirspel on 02/01/17 at 21:28:27.
log_xilinx_zynq_a9_qemu_net.log (49.5 KB) - added by Kevin Kirspel on 02/01/17 at 21:29:10.
RTEMS test log for attached patches
0001-Adding-new-files-for-inclusion-of-FREEBSD-termios-fe.patch (38.4 KB) - added by Kevin Kirspel on 02/02/17 at 23:00:55.
BSP updates
0002-Updating-termios-to-support-FREEBSD-struct-termios.-.patch (47.2 KB) - added by Kevin Kirspel on 02/02/17 at 23:01:34.
TERMIOS Updates
0003-test-suites-are-updated-to-reflect-the-changes-made-.patch (53.8 KB) - added by Kevin Kirspel on 02/02/17 at 23:01:55.
Testsuite Updates
0004-tools-was-updated-to-reflect-the-changes-made-to-ter.patch (2.3 KB) - added by Kevin Kirspel on 02/02/17 at 23:02:12.
Tool Updates
log_xilinx_zynq_a9_qemu.log (53.3 KB) - added by Kevin Kirspel on 02/02/17 at 23:03:23.
Testsuite Log

Download all attachments as: .zip

Change History (19)

Changed on 02/01/17 at 21:29:10 by Kevin Kirspel

RTEMS test log for attached patches

comment:1 Changed on 02/01/17 at 21:52:39 by Kevin Kirspel

Ignore the patches and test log. I accidently configured on the wrong tree. I'll post new patches soon.

comment:2 Changed on 02/02/17 at 23:00:00 by Kevin Kirspel

I have made the modifications to termios. There were a bunch of files to change in the BSPs to use the new baud rate fields. I think I updated all the necessary BSPs. I only tested the xilinx_zynq_a9_qemu BSP. I am attaching the patch file and testsuite log.

Changed on 02/02/17 at 23:01:34 by Kevin Kirspel

TERMIOS Updates

Changed on 02/02/17 at 23:01:55 by Kevin Kirspel

Testsuite Updates

Changed on 02/02/17 at 23:03:23 by Kevin Kirspel

Attachment: log_xilinx_zynq_a9_qemu.log added

Testsuite Log

comment:3 Changed on 02/15/17 at 14:20:42 by Sebastian Huber

Milestone: 4.12Indefinite
Owner: set to Needs Funding
Status: newassigned

comment:4 Changed on 03/22/17 at 10:57:26 by Kevin Kirspel <kevin-kirspel@…>

Resolution: fixed
Status: assignedclosed

In 1c6926c1/rtems:

termios: Synchronize with latest FreeBSD headers

Adding modified FreeBSD headers to synchronize RTEMS termios with
FreeBSD. Modify termios to support dedicated input and output baud for
termios structure. Updated BSPs to use dedicated input and output baud
in termios structure. Updated tools to use dedicated input and output
baud in termios structure. Updated termios testsuites to use dedicated
input and output baud in termios structure.

Close #2897.

comment:5 Changed on 03/22/17 at 10:59:48 by Sebastian Huber

Milestone: Indefinite4.12

comment:6 Changed on 03/27/17 at 08:31:35 by Sebastian Huber <sebastian.huber@…>

In 94a4865/rtems:

termios: Avoid invalid memory access

Update #2897.

comment:7 Changed on 03/27/17 at 13:39:05 by Sebastian Huber <sebastian.huber@…>

In 5f382713/rtems:

cpukit: Fix Makefile.am and update preinstall.am

Update #2897.

comment:8 Changed on 04/03/17 at 12:08:49 by Sebastian Huber <sebastian.huber@…>

In 1301468/rtems:

bsps: Fix baud settings

Update #2897.

comment:9 Changed on 04/10/17 at 14:40:08 by Kevin Kirspel <kevin-kirspel@…>

In d2390ce4/rtems:

Updating default termios initialization for dedicated input/output baud rates

updates #2897.

comment:10 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:11 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.